## groovy.util
Class FileNameFinder

Find files according to a base directory and an includes and excludes pattern. The include and exclude patterns conform to Ant's fileset pattern conventions.

author:
  Dierk Koenig

author:
  Paul King

Constructor Summary
`FileNameFinder()`

Method Summary
`List` | `getFileNames(String basedir, String pattern)`
`List` | `getFileNames(String basedir, String pattern, String excludesPattern)`
`List` | `getFileNames(Map args)`

Constructor Detail

### FileNameFinder

    FileNameFinder()

Method Detail

### getFileNames

    List getFileNames(String basedir, String pattern)

### getFileNames

    List getFileNames(String basedir, String pattern, String excludesPattern)

### getFileNames

    List getFileNames(Map args)